package com.unis.model.bean.detail;

/**
 * 包名: com.unis.sxzcl.ui.grain_check
 * 类名: DetailApproveBean
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/15 18:21
 * 更新人:
 * 更新时间: 2020/12/15 18:21
 * 更新说明:
 * 版本号: 1.0
 */
public class DetailApproveBean {

    /******************* 属性 *********************/

    // id
    private String id;
    // 流程id
    private String mainId;

    // 标题
    private String title;
    // 人员
    private String content;
    private String zid;
    private String depotId;
    private String type;
    private String step;
    // 审批时间
    private String auditTime;
    // 审批状态
    private String auditState;


    /******************* set方法 *********************/

    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    public void setAuditState(String auditState) {
        this.auditState = auditState;
    }

    public DetailApproveBean setZid(String zid) {
        this.zid = zid;
        return this;

    }

    public DetailApproveBean setDepotId(String depotId) {
        this.depotId = depotId;
        return this;

    }

    public DetailApproveBean setType(String type) {
        this.type = type;
        return this;

    }

    public DetailApproveBean setStep(String step) {
        this.step = step;
        return this;

    }

    public DetailApproveBean setId(String id) {
        this.id = id;
        return this;
    }

    public void setMainId(String mainId) {
        this.mainId = mainId;
    }

    public DetailApproveBean setTitle(String title) {
        this.title = title;
        return this;
    }

    public void setContent(String content) {
        this.content = content;
    }


    /******************* get方法 *********************/
    public String getAuditTime() {
        return auditTime;
    }

    public String getAuditState() {
        return auditState;
    }

    public String getId() {
        return id;
    }

    public String getMainId() {
        return mainId;
    }

    public String getTitle() {
        return title;
    }

    public String getContent() {
        return content;
    }

    public String getZid() {
        return zid;
    }

    public String getDepotId() {
        return depotId;
    }

    public String getType() {
        return type;
    }

    public String getStep() {
        return step;
    }
}
